Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class ModuleLibrary

    java.lang.Object
      org.gradle.plugins.ide.idea.model.ModuleLibrary

All Implemented Interfaces:
  Dependency

    class ModuleLibrary

Represents an orderEntry of type module-library in the iml xml.

Authors:
  Hans Dockter

Property Summary
`Set` | `classes` A set of Path instances for class libraries.
`boolean` | `exported`
`Set` | `jarDirectories` A set of JarDirectory instances for directories containing jars.
`Set` | `javadoc` A set of Path instances for javadoc associated with the library elements.
`String` | `scope` The scope of this dependency.
`Set` | `sources` A set of Path instances for source code associated with the library elements.

Constructor Summary
`ModuleLibrary(Collection classes, Collection javadoc, Collection sources, Collection jarDirectories, String scope)`

Method Summary
`void` | `addToNode(Node parentNode)`
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### classes

    Set classes

  A set of Path instances for class libraries. Can be paths to jars or class folders.

### exported

    boolean exported

### jarDirectories

    Set jarDirectories

  A set of JarDirectory instances for directories containing jars.

### javadoc

    Set javadoc

  A set of Path instances for javadoc associated with the library elements.

### scope

    String scope

  The scope of this dependency. If `null`, the scope attribute is not added.

### sources

    Set sources

  A set of Path instances for source code associated with the library elements.

Constructor Detail

### ModuleLibrary

    ModuleLibrary(Collection classes, Collection javadoc, Collection sources, Collection jarDirectories, String scope)

Method Detail

### addToNode

    void addToNode(Node parentNode)

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.1-rc-1